<form action="" [formGroup]="editDataForm" (ngSubmit)="onSubmit()">

<div
  *ngIf="array1.length > 0"
  class="col-md-12 bg-white location-table mt-3 p-0 table-responsive"
>
  <table class="table table-striped" aria-label="table">
    <thead>
    
      <tr>
        <th *ngFor="let item of heading; let i = index" id="i">{{ item }}</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of array1; let i = index">
          <td *ngIf="!editflag  || !item.edit ">{{ item.name }}</td>
          <td *ngIf="editflag && item.edit"><input type="text" formControlName="name" /></td>
          <td *ngIf="!editflag || !item.edit ">
            <tr *ngFor="let item1 of item.phones">
              {{item1 | json}}
            </tr>
          </td>
          <td *ngIf="editflag && item.edit">
            <div formArrayName="phones">
                <div *ngFor="let phone of getPhonesFormControls(); let i = index" formGroupName={{i}}>
                 <label>contact</label> <input type="text" formControlName="contact" />
                </div>
            </div>
        </td>
          <td *ngIf="!editflag || !item.edit ">{{ item.email }}</td>
          <td *ngIf="editflag && item.edit"><input type="text" formControlName="email" /></td>
          <td *ngIf="!editflag || !item.edit">{{ item.gender }}</td>
          <td *ngIf="editflag && item.edit"><input type="text" formControlName="gender" /></td>
          <td class="w-70 text-center">
            <div class="d-flex align-items-center">
              <button *ngIf="!item.edit" (click)="edit(item,i)" class="btn btn-primary m-1">edit</button>
              <button *ngIf="!item.edit"  (click)="delete(i)" class="btn btn-danger m-1">delete</button>
            </div>
          </td>
      </tr>
    </tbody>
  </table>
</div>
</form>
